# Class JTeamWorkAiApi

#### Hierarchy (View Summary)

- JBaseApi
  - JTeamWorkAiApi

- Defined in jamespot-user-api/src/apis/teamWorkAi/teamWorkAi.ts:5

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

daySummary
generateToDo
todoDone

## Constructors

### constructor

- new JTeamWorkAiApi(jApi: JamespotUserApi): JTeamWorkAiApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JTeamWorkAiApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### daySummary

- daySummary(
  payload: { forceGeneration?: boolean },
  options?: { signal?: AbortSignal },
  ): PromiseApiWrapper<TeamWorkDaySummaryState>

  #### Parameters

  - payload: { forceGeneration?: boolean }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns PromiseApiWrapper<TeamWorkDaySummaryState>

  - Defined in jamespot-user-api/src/apis/teamWorkAi/teamWorkAi.ts:20

### generateToDo

- generateToDo(
  payload: { forceGeneration?: boolean },
  options?: { signal?: AbortSignal },
  ): PromiseApiWrapper<TeamWorkTodoState>

  #### Parameters

  - payload: { forceGeneration?: boolean }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns PromiseApiWrapper<TeamWorkTodoState>

  - Defined in jamespot-user-api/src/apis/teamWorkAi/teamWorkAi.ts:6

### todoDone

- todoDone(
  payload: { index: number; uri: string },
  options?: { signal?: AbortSignal },
  ): PromiseApiWrapper<TeamWorkAiTask[]>

  #### Parameters

  - payload: { index: number; uri: string }
  - `Optional` options: { signal?: AbortSignal }

  #### Returns PromiseApiWrapper<TeamWorkAiTask[]>

  - Defined in jamespot-user-api/src/apis/teamWorkAi/teamWorkAi.ts:34